/*
 * Motor_JCM5044_Zlodey.c
 *
 * Created: 08.08.2015 19:39:54
 * Author: Zlodey
 */

/*
 * ATmega32
 * PB3 - CLK (Clock)
 * PB2 - MON (Motor On)
 * PB1 - SP (Speed)
 */

#define F_CPU 8000000UL
#include <avr/io.h>
#include <util/delay.h>

void Motor_On (void)
{
	DDRB |= (1<<PB2);
}

void Motor_Off (void)
{
	DDRB &= ~(1<<PB2);
}

void Motor_Speed_High (void)
{
	DDRB |= (1<<PB1);
	PORTB |= (1<<PB1);
	Motor_On();
}

void Motor_Speed_Low (void)
{
	DDRB |= (1<<PB1);
	PORTB &= ~(1<<PB1);
	Motor_On();
}

void Set_Clock_1_MHz (void)
{
	DDRB |= (1<<PB3);
	
	TCCR0=\
	(0<<FOC0)|
	(0<<WGM00)|
	(0<<COM01)|
	(1<<COM00)|  // Toggle OC0 on compare match
	(1<<WGM01)|  // CTC Mode
	(0<<CS02)|
	(0<<CS01)|
	(1<<CS00);   // Prescaler 1
	
	OCR0 = ((F_CPU/1000000)/2)-1;  // 1 MHz
}

int main(void)
{
	Set_Clock_1_MHz();
	Motor_Speed_High();  //  360   
	//Motor_Speed_Low(); //  300   
	while(1)
    {
		
    }
}